%define upstream_name    POE-Component-Sequence
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Adds special features to nested sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MethodMaker) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(POE)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A Sequence is a series of code blocks (actions) that are executed (handled)
within the same context, in series. Each action has access to the sequence
object, can pause it, finish the sequence, add additional actions to be
performed later, or store variables in the context (the heap).

If we had the following action in the above example sequence:

    sub {
        my $sequence = shift;
        $sequence->pause;
        ...
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-12.mga10
+ Revision: 2211762
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.20.0-11.mga9
+ Revision: 1830024
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-10.mga8
+ Revision: 1496907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-9.mga7
+ Revision: 1270859
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1032533
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 948562
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 788008
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 739486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685823
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 371259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 295911
- adding missing buildrequires:
- imported package perl-POE-Component-Sequence


* Tue Sep 18 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
